const stateDefault = () => ({
  page: 0,
  loading: false,
  dialog: []
})

export default uiReducer = (state = stateDefault(), action) => {
  switch (action.type) {
    case 'loading':
      return { ...state, loading: action.act == true }
    case 'add_dialog':
      return { ...state, dialog: [...state.dialog, action.msg] }
    case 'remove_dialog':
      return { ...state, dialog: state.dialog.slice(1) }
    case 'page':
      return { ...state, page: action.page }
    default:
      return state
  }
}