import React from 'react';
import { connect } from 'react-redux';
import Dialog from '../components/Dialog';
import { removeDialog } from '../actions';

const mapStateToProps = (state) => ({
  obj: state.ui.dialog[0] || null,
  show: state.ui.dialog.length > 0
});

const mapDispatchToProps = (dispatch, ownProps) => ({
  onButtonPress: () => {
    dispatch(removeDialog());
  }
});

export default connect(mapStateToProps, mapDispatchToProps)(Dialog);
